openstack-tox-tht broken due to recent jinja2 release

Bug #1928145 reported by Alex Schultz
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tripleo
Critical
Unassigned

Bug Description

the THT openstack-tox-tht job is broken likely due to a recent jinja2 release.

Previous successful runs had Jinja2==2.11.3. It now fails with inja2==3.0.0

success: https://bcbff5a63272be990f4a-3078f09a35fdfa0355b18572be8c3ad5.ssl.cf2.rackcdn.com/775729/34/check/openstack-tox-tht/068356e/job-output.txt

2021-05-11 19:57:00.502187 | ubuntu-focal | tht installed: ansi2html==1.6.0,ansible==3.3.0,ansible-base==2.10.9,ansible-runner==1.4.7,apipkg==1.5,appdirs==1.4.4,attrs==21.2.0,Babel==2.9.1,bcrypt==3.2.0,certifi==2020.12.5,cffi==1.14.5,chardet==4.0.0,cliff==3.7.0,cmd2==1.5.0,colorama==0.4.4,coverage==5.5,cryptography==3.4.7,debtcollector==2.2.0,decorator==5.0.7,dnspython==1.16.0,docutils==0.17.1,dogpile.cache==1.1.2,eventlet==0.31.0,execnet==1.8.0,fasteners==0.16,gitdb==4.0.7,GitPython==3.1.14,greenlet==1.1.0,idna==2.10,iniconfig==1.1.1,iso8601==0.1.14,Jinja2==2.11.3,jmespath==0.10.0,jsonpatch==1.32,jsonpointer==2.1,jsonschema==3.2.0,keystoneauth1==4.3.1,lockfile==0.12.2,MarkupSafe==2.0.0,metalsmith==1.4.2,msgpack==1.0.2,munch==2.5.0,netaddr==0.8.0,netifaces==0.10.9,openstacksdk==0.56.0,os-service-types==1.7.0,osc-lib==2.3.1,oslo.concurrency==4.4.0,oslo.config==8.6.0,oslo.context==3.2.0,oslo.i18n==5.0.1,oslo.log==4.4.0,oslo.rootwrap==6.2.0,oslo.serialization==4.1.0,oslo.utils==4.8.0,packaging==20.9,paramiko==2.7.2,passlib==1.7.4,pbr==5.6.0,pexpect==4.8.0,playbook-runner==0.2.18,pluggy==0.13.1,ply==3.11,prettytable==0.7.2,psutil==5.8.0,ptyprocess==0.7.0,py==1.10.0,pycparser==2.20,pyinotify==0.9.6,PyNaCl==1.4.0,pyOpenSSL==20.0.1,pyparsing==2.4.7,pyperclip==1.8.2,pyrsistent==0.17.3,pytest==6.2.4,pytest-ansible-playbook-runner==0.5.4,pytest-cov==2.11.1,pytest-forked==1.3.0,pytest-html==3.1.1,pytest-metadata==1.11.0,pytest-xdist==2.2.1,python-daemon==2.3.0,python-dateutil==2.8.1,python-glanceclient==3.3.0,python-heatclient==2.3.0,python-ironic-inspector-client==4.5.0,python-ironicclient==4.6.1,python-keystoneclient==4.2.0,python-novaclient==17.4.0,python-swiftclient==3.11.1,python-zaqarclient==2.1.0,pytz==2021.1,PyYAML==5.4.1,requests==2.25.1,requestsexceptions==1.4.0,rfc3986==1.5.0,simplejson==3.17.2,six==1.16.0,smmap==4.0.0,stevedore==3.3.0,tenacity==7.0.0,toml==0.10.2,tripleo-common==16.0.0,-e git+file:///dev/null@ec98bf416cd52fab18c0d69d8085353d11908f8a#egg=tripleo_heat_templates,urllib3==1.26.4,warlock==1.3.3,wcwidth==0.2.5,wrapt==1.12.1,yaql==1.1.3

Failure: https://ce3f88bde44913989f90-c02cba5f61e61aa034234ed930eebdcc.ssl.cf5.rackcdn.com/788678/4/check/openstack-tox-tht/d2a57bd/job-output.txt

2021-05-11 21:20:15.017115 | ubuntu-focal | tht installed: ansi2html==1.6.0,ansible==3.3.0,ansible-base==2.10.9,ansible-runner==1.4.7,apipkg==1.5,appdirs==1.4.4,attrs==21.2.0,Babel==2.9.1,bcrypt==3.2.0,certifi==2020.12.5,cffi==1.14.5,chardet==4.0.0,cliff==3.7.0,cmd2==1.5.0,colorama==0.4.4,coverage==5.5,cryptography==3.4.7,debtcollector==2.2.0,decorator==5.0.7,dnspython==1.16.0,docutils==0.17.1,dogpile.cache==1.1.2,eventlet==0.31.0,execnet==1.8.0,fasteners==0.16,gitdb==4.0.7,GitPython==3.1.14,greenlet==1.1.0,idna==2.10,iniconfig==1.1.1,iso8601==0.1.14,Jinja2==3.0.0,jmespath==0.10.0,jsonpatch==1.32,jsonpointer==2.1,jsonschema==3.2.0,keystoneauth1==4.3.1,lockfile==0.12.2,MarkupSafe==2.0.0,metalsmith==1.4.2,msgpack==1.0.2,munch==2.5.0,netaddr==0.8.0,netifaces==0.10.9,openstacksdk==0.56.0,os-service-types==1.7.0,osc-lib==2.3.1,oslo.concurrency==4.4.0,oslo.config==8.6.0,oslo.context==3.2.0,oslo.i18n==5.0.1,oslo.log==4.4.0,oslo.rootwrap==6.2.0,oslo.serialization==4.1.0,oslo.utils==4.8.0,packaging==20.9,paramiko==2.7.2,passlib==1.7.4,pbr==5.6.0,pexpect==4.8.0,playbook-runner==0.2.18,pluggy==0.13.1,ply==3.11,prettytable==0.7.2,psutil==5.8.0,ptyprocess==0.7.0,py==1.10.0,pycparser==2.20,pyinotify==0.9.6,PyNaCl==1.4.0,pyOpenSSL==20.0.1,pyparsing==2.4.7,pyperclip==1.8.2,pyrsistent==0.17.3,pytest==6.2.4,pytest-ansible-playbook-runner==0.5.4,pytest-cov==2.11.1,pytest-forked==1.3.0,pytest-html==3.1.1,pytest-metadata==1.11.0,pytest-xdist==2.2.1,python-daemon==2.3.0,python-dateutil==2.8.1,python-glanceclient==3.3.0,python-heatclient==2.3.0,python-ironic-inspector-client==4.5.0,python-ironicclient==4.6.1,python-keystoneclient==4.2.0,python-novaclient==17.4.0,python-swiftclient==3.11.1,python-zaqarclient==2.1.0,pytz==2021.1,PyYAML==5.4.1,requests==2.25.1,requestsexceptions==1.4.0,rfc3986==1.5.0,simplejson==3.17.2,six==1.16.0,smmap==4.0.0,stevedore==3.3.0,tenacity==7.0.0,toml==0.10.2,tripleo-common==16.0.0,-e git+file:///dev/null@6cebdea1e10a8a86ade8ea62a694751ee79c5ee3#egg=tripleo_heat_templates,urllib3==1.26.4,warlock==1.3.3,wcwidth==0.2.5,wrapt==1.12.1,yaql==1.1.3

2021-05-11 21:20:28.453723 | ubuntu-focal | n: Error rendering template /home/zuul/src/opendev.org/openstack/tripleo-heat-templates/../tht-rendered/./overcloud.yaml : 'dict object' has no attribute 'default_route_networks'", "stderr_lines": ["Traceback (most recent call last):", " File \"/home/zuul/src/opendev.org/openstack/tripleo-heat-templates/tools/process-templates.py\", line 98, in _j2_render_to_file", " r_template = template.render(**j2_data)", " File \"/home/zuul/src/opendev.org/openstack/tripleo-heat-templates/.tox/tht/lib/python3.8/site-packages/jinja2/environment.py\", line 1289, in render", " self.environment.handle_exception()", " File \"/home/zuul/src/opendev.org/openstack/tripleo-heat-templates/.tox/tht/lib/python3.8/site-packages/jinja2/environment.py\", line 924, in handle_exception", " raise rewrite_traceback_stack(source=source)", " File \"<template>\", line 982, in top-level template code", "jinja2.exceptions.UndefinedError: 'dict object' has no attribute 'default_route_networks'", "", "During handling of the above exception, another exception occurred:", "", "Traceback (most recent call last):", " File \"/home/zuul/src/opendev.org/openstack/tripleo-heat-templates/tools/process-templates.py\", line 412, in <module>", " process_templates(opts.base_path, role_data_path, opts.output_dir,", " File \"/home/zuul/src/opendev.org/openstack/tripleo-heat-templates/tools/process-templates.py\", line 316, in process_templates", " _j2_render_to_file(template_data, j2_data, out_f_path,", " File \"/home/zuul/src/opendev.org/openstack/tripleo-heat-templates/tools/process-templates.py\", line 103, in _j2_render_to_file", " raise Exception(error_msg)", "Exception: Error rendering template /home/zuul/src/opendev.org/openstack/tripleo-heat-templates/../tht-rendered/./overcloud.yaml : 'dict object' has no attribute 'default_route_networks'"], "stdout": "jinja2 rendering normal template overcloud-resource-registry-puppet.j2.yaml\nrendering j2 template to file: /home/zuul/src/opendev.orgfatal: [localhost]: FAILED! => {"changed": true, "cmd": ["python", "/home/zuul/src/opendev.org/openstack/tripleo-heat-templates/tools/process-templates.py", "-r", "/home/zuul/src/opendev.org/openstack/tripleo-heat-templates/roles_data.yaml", "-o", "/home/zuul/src/opendev.org/openstack/tripleo-heat-templates/../tht-rendered"], "delta": "0:00:00.454570", "end": "2021-05-11 21:20:28.162367", "msg": "non-zero return code", "rc": 1, "start": "2021-05-11 21:20:27.707797", "stderr": "Traceback (most recent call last):\n File \"/home/zuul/src/opendev.org/openstack/tripleo-heat-templates/tools/process-templates.py\", line 98, in _j2_render_to_file\n r_template = template.render(**j2_data)\n File \"/home/zuul/src/opendev.org/openstack/tripleo-heat-templates/.tox/tht/lib/python3.8/site-packages/jinja2/environment.py\", line 1289, in render\n self.environment.handle_exception()\n File \"/home/zuul/src/opendev.org/openstack/tripleo-heat-templates/.tox/tht/lib/python3.8/site-packages/jinja2/environment.py\", line 924, in handle_exception\n raise rewrite_traceback_stack(source=source)\n File \"<template>\", line 982, in top-level template code\njinja2.exceptions.UndefinedError: 'dict object' has no attribute 'default_route_networks'\n\nDuring handling of the above exception, another exception occurred:\n\nTraceback (most recent call last):\n File \"/home/zuul/src/opendev.org/openstack/tripleo-heat-templates/tools/process-templates.py\", line 412, in <module>\n process_templates(opts.base_path, role_data_path, opts.output_dir,\n File \"/home/zuul/src/opendev.org/openstack/tripleo-heat-templates/tools/process-templates.py\", line 316, in process_templates\n _j2_render_to_file(template_data, j2_data, out_f_path,\n File \"/home/zuul/src/opendev.org/openstack/tripleo-heat-templates/tools/process-templates.py\", line 103, in _j2_render_to_file\n raise Exception(error_msg)\nException: Error rendering template /home/zuul/src/opendev.org/openstack/tripleo-heat-templates/../tht-rendered/./overcloud.yaml : 'dict object' has no attribute 'default_route_networks'", "stderr_lines": ["Traceback (most recent call last):", " File \"/home/zuul/src/opendev.org/openstack/tripleo-heat-templates/tools/process-templates.py\", line 98, in _j2_render_to_file", " r_template = template.render(**j2_data)", " File \"/home/zuul/src/opendev.org/openstack/tripleo-heat-templates/.tox/tht/lib/python3.8/site-packages/jinja2/environment.py\", line 1289, in render", " self.environment.handle_exception()", " File \"/home/zuul/src/opendev.org/openstack/tripleo-heat-templates/.tox/tht/lib/python3.8/site-packages/jinja2/environment.py\", line 924, in handle_exception", " raise rewrite_traceback_stack(source=source)", " File \"<template>\", line 982, in top-level template code", "jinja2.exceptions.UndefinedError: 'dict object' has no attribute 'default_route_networks'", "", "During handling of the above exception, another exception occurred:", "", "Traceback (most recent call last):", " File \"/home/zuul/src/opendev.org/openstack/tripleo-heat-templates/tools/process-templates.py\", line 412, in <module>", " process_templates(opts.base_path, role_data_path, opts.output_dir,", " File \"/home/zuul/src/opendev.org/openstack/tripleo-heat-templates/tools/process-templates.py\", line 316, in process_templates", " _j2_render_to_file(template_data, j2_data, out_f_path,", " File \"/home/zuul/src/opendev.org/openstack/tripleo-heat-templates/tools/process-templates.py\", line 103, in _j2_render_to_file", " raise Exception(error_msg)", "Exception: Error rendering template /home/zuul/src/opendev.org/openstack/tripleo-heat-templates/../tht-rendered/./overcloud.yaml : 'dict object' has no attribute 'default_route_networks'"], "stdout": "jinja2 rendering normal template overcloud-resource-registry-puppet.j2.yaml\nrendering j2 template to file: /home/zuul/src/opendev.org/openstack/tripleo-heat-templates/../tht-rendered/./overcloud-resource-registry-puppet.yaml\njinja2 rendering normal template overcloud.j2.yaml\nrendering j2 template to file: /home/zuul/src/opendev.org/openstack/tripleo-heat-templates/../tht-rendered/./overcloud.yaml\nError rendering template /home/zuul/src/opendev.org/openstack/tripleo-heat-templates/../tht-rendered/./overcloud.yaml : 'dict object' has no attribute 'default_route_networks'", "stdout_lines": ["jinja2 rendering normal template overcloud-resource-registry-puppet.j2.yaml", "rendering j2 template to file: /home/zuul/src/opendev.org/openstack/tripleo-heat-templates/../tht-rendered/./overcloud-resource-registry-puppet.yaml", "jinja2 rendering normal template overcloud.j2.yaml", "rendering j2 template to file: /home/zuul/src/opendev.org/openstack/tripleo-heat-templates/../tht-rendered/./overcloud.yaml", "Error rendering template /home/zuul/src/opendev.org/openstack/tripleo-heat-templates/../tht-rendered/./overcloud.yaml : 'dict object' has no attribute 'default_route_networks'"]}

Revision history for this message
OpenStack Infra (hudson-openstack) wrote : Fix proposed to tripleo-heat-templates (master)
Changed in tripleo:
status: Triaged → In Progress
Revision history for this message
OpenStack Infra (hudson-openstack) wrote :
Revision history for this message
OpenStack Infra (hudson-openstack) wrote : Fix merged to tripleo-heat-templates (master)

Reviewed: https://review.opendev.org/c/openstack/tripleo-heat-templates/+/790894
Committed: https://opendev.org/openstack/tripleo-heat-templates/commit/4af0c6ccac891fceff68a92e05c1734e27fbc1e0
Submitter: "Zuul (22348)"
Branch: master

commit 4af0c6ccac891fceff68a92e05c1734e27fbc1e0
Author: ramishra <email address hidden>
Date: Wed May 12 08:46:56 2021 +0530

    Don't assume every role has default_route_networks

    This broken after new jinja release.

    Closes-Bug: #1928145
    Change-Id: I9cbdcf289bae96f8ea7867e1cec365a9a07019ca

Changed in tripleo:
status: In Progress → Fix Released
Revision history for this message
OpenStack Infra (hudson-openstack) wrote : Change abandoned on tripleo-heat-templates (master)
Revision history for this message
OpenStack Infra (hudson-openstack) wrote : Fix proposed to tripleo-heat-templates (stable/wallaby)

Fix proposed to branch: stable/wallaby
Review: https://review.opendev.org/c/openstack/tripleo-heat-templates/+/790982

Revision history for this message
OpenStack Infra (hudson-openstack) wrote : Fix proposed to tripleo-heat-templates (stable/victoria)

Fix proposed to branch: stable/victoria
Review: https://review.opendev.org/c/openstack/tripleo-heat-templates/+/790983

Revision history for this message
OpenStack Infra (hudson-openstack) wrote : Fix merged to tripleo-heat-templates (stable/wallaby)

Reviewed: https://review.opendev.org/c/openstack/tripleo-heat-templates/+/790982
Committed: https://opendev.org/openstack/tripleo-heat-templates/commit/d2fbffd2f6bd27c2fb6655c0274dbfd63d68b0e1
Submitter: "Zuul (22348)"
Branch: stable/wallaby

commit d2fbffd2f6bd27c2fb6655c0274dbfd63d68b0e1
Author: ramishra <email address hidden>
Date: Wed May 12 08:46:56 2021 +0530

    Don't assume every role has default_route_networks

    This broken after new jinja release.

    Closes-Bug: #1928145
    Change-Id: I9cbdcf289bae96f8ea7867e1cec365a9a07019ca
    (cherry picked from commit 4af0c6ccac891fceff68a92e05c1734e27fbc1e0)

tags: added: in-stable-wallaby
Revision history for this message
OpenStack Infra (hudson-openstack) wrote : Fix merged to tripleo-heat-templates (stable/victoria)

Reviewed: https://review.opendev.org/c/openstack/tripleo-heat-templates/+/790983
Committed: https://opendev.org/openstack/tripleo-heat-templates/commit/1311f8a521c6045f53ef99acba0e68cb74943b23
Submitter: "Zuul (22348)"
Branch: stable/victoria

commit 1311f8a521c6045f53ef99acba0e68cb74943b23
Author: ramishra <email address hidden>
Date: Wed May 12 08:46:56 2021 +0530

    Don't assume every role has default_route_networks

    This broken after new jinja release.

    NOTE: This included nic config updates as well.

    Co-Authored-By: Alex Schultz <email address hidden>
    Closes-Bug: #1928145
    Change-Id: I9cbdcf289bae96f8ea7867e1cec365a9a07019ca
    (cherry picked from commit 4af0c6ccac891fceff68a92e05c1734e27fbc1e0)

tags: added: in-stable-victoria
Revision history for this message
OpenStack Infra (hudson-openstack) wrote : Fix proposed to tripleo-heat-templates (stable/ussuri)
Revision history for this message
OpenStack Infra (hudson-openstack) wrote : Fix merged to tripleo-heat-templates (stable/ussuri)

Reviewed: https://review.opendev.org/c/openstack/tripleo-heat-templates/+/791357
Committed: https://opendev.org/openstack/tripleo-heat-templates/commit/9bbd4fe553cc53f36a670a4f16badf2480526c01
Submitter: "Zuul (22348)"
Branch: stable/ussuri

commit 9bbd4fe553cc53f36a670a4f16badf2480526c01
Author: ramishra <email address hidden>
Date: Wed May 12 08:46:56 2021 +0530

    Don't assume role has default_route_networks/tags

    This broken after new jinja release.

    NOTE: This included nic config updates as well.
    And changes for role.tags.

    Co-Authored-By: Alex Schultz <email address hidden>
    Closes-Bug: #1928145
    Change-Id: I9cbdcf289bae96f8ea7867e1cec365a9a07019ca
    (cherry picked from commit 4af0c6ccac891fceff68a92e05c1734e27fbc1e0)

tags: added: in-stable-ussuri
Revision history for this message
OpenStack Infra (hudson-openstack) wrote : Fix included in openstack/tripleo-heat-templates 14.1.1

This issue was fixed in the openstack/tripleo-heat-templates 14.1.1 release.

Revision history for this message
OpenStack Infra (hudson-openstack) wrote : Fix included in openstack/tripleo-heat-templates 13.3.0

This issue was fixed in the openstack/tripleo-heat-templates 13.3.0 release.

Revision history for this message
OpenStack Infra (hudson-openstack) wrote : Fix included in openstack/tripleo-heat-templates 12.4.4

This issue was fixed in the openstack/tripleo-heat-templates 12.4.4 release.

Revision history for this message
OpenStack Infra (hudson-openstack) wrote : Fix included in openstack/tripleo-heat-templates 15.0.0

This issue was fixed in the openstack/tripleo-heat-templates 15.0.0 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers